{"openapi":"3.0.0","info":{"description":"Fifth Third Bank, Real Time Payments API (RTP, RFP)","version":"2.0.0","title":"53 RTP Services","termsOfService":"","contact":{"email":"noreply@53.com"}},"servers":[{"url":"https://rtpapi-test.nube.53.com/v2"},{"url":"https://rtpapi-stg.nube.53.com/v2"}],"paths":{"/bankstatus/{rtn}":{"get":{"tags":["BankStatus"],"summary":"Retrieve Bank Status Detail by RTN","description":"Retrieve bank status information based on associated routing number indicating if a bank participates in the RTP network, what services they support (RTP, RFP) and if they are online and available to transact","operationId":"getbankStatusByRoutingNumber","parameters":[{"in":"path","name":"rtn","schema":{"type":"string"},"description":"Routing number for the requested Bank or FI","required":true},{"in":"header","name":"X-53-client-key","schema":{"type":"string"},"description":"Client identifier for authentication","required":true},{"in":"header","name":"Authorization","schema":{"type":"string"},"description":"access token (should be sent as \"Bearer <access token>\")","required":true}],"responses":{"200":{"description":"Successful Operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankStatusResponse"}}}},"400":{"description":"Bad Request."},"401":{"description":"Authorization information is missing or invalid"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"500":{"description":"Internal Server Error"}},"security":[{"bearer_token":[]}]}},"/bankstatus":{"get":{"tags":["BankStatus"],"summary":"Retrieve all Bank Status Detail","description":"Retrieve bank status information for all available TCH bank, including services they support (RTP, RFP) and if they are online and available to transact","operationId":"getBankStatusList","parameters":[{"in":"header","name":"X-53-client-key","schema":{"type":"string"},"description":"Client identifier for authentication","required":true},{"in":"header","name":"Authorization","schema":{"type":"string"},"description":"access token (should be sent as \"Bearer <access token>\")","required":true}],"responses":{"200":{"description":"Successful Operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankStatusResponse"},"example":["Total items: 2",{"RTN":"012345678","bankName":"Test Bank 1","rtpEligible":true,"rfpEligible":true,"status":"online"},{"RTN":"987654321","bankName":"Test Bank 2","rtpEligible":true,"rfpEligible":false,"status":"online"}]}}},"400":{"description":"Bad Request."},"401":{"description":"Authorization information is missing or invalid"},"403":{"description":"Forbidden"},"404":{"description":"Not Found / Duplicate"},"500":{"description":"Internal Server Error"}},"security":[{"bearer_token":[]}]}},"/counterparty":{"post":{"tags":["Counterparty"],"summary":"Register New Counterparty","description":"Create new counterparty or entity who will participate in the transaction or RTP message, at this time limited to counterparty of a RTP credit message or Request For Payment message","operationId":"createcounterparty","parameters":[{"in":"header","name":"X-53-client-key","schema":{"type":"string"},"description":"Client identifier for authentication","required":true},{"in":"header","name":"Authorization","schema":{"type":"string"},"description":"access token (should be sent as \"Bearer <access token>\")","required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatecounterpartyRequest"}}}},"responses":{"200":{"description":"Successful Operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatecounterpartyResponse"}}}},"400":{"description":"Bad Request."},"401":{"description":"Authorization information is missing or invalid"},"403":{"description":"Forbidden"},"404":{"description":"Not Found / Duplicate"},"500":{"description":"Internal Server Error"}},"security":[{"bearer_token":[]}]},"put":{"tags":["Counterparty"],"summary":"Update Counterparty","description":"Update information assocaited with an existing counterparty","operationId":"updatecounterparty","parameters":[{"in":"header","name":"X-53-client-key","schema":{"type":"string"},"description":"Client identifier for authentication","required":true},{"in":"header","name":"Authorization","schema":{"type":"string"},"description":"access token (should be sent as \"Bearer <access token>\")","required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatecounterpartyRequest"}}}},"responses":{"200":{"description":"Successful Operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatecounterpartyResponse"}}}},"400":{"description":"Bad Request."},"401":{"description":"Authorization information is missing or invalid"},"403":{"description":"Forbidden"},"404":{"description":"Not Found / Duplicate"},"500":{"description":"Internal Server Error"}},"security":[{"bearer_token":[]}]},"get":{"tags":["Counterparty"],"summary":"Retrieve all Counterparty Detail","description":"Retrieve a list of established RTP counterpartys","operationId":"getcounterpartys","parameters":[{"in":"header","name":"X-53-client-key","schema":{"type":"string"},"description":"Client identifier for authentication","required":true},{"in":"header","name":"Authorization","schema":{"type":"string"},"description":"access token (should be sent as \"Bearer <access token>\")","required":true}],"responses":{"200":{"description":"Successful Operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/counterpartyResponse"},"example":["Total items: 3",{"CounterpartyKey":"Key123","Name":"First Last","RTN":"000000010","AccountNumber":"******1473","Email":"rtpemail@rtp.com","AddressNumber":"38","AddressStreet":"Fountain Plaza","AddressLine2":"123","City":"Madisonville","US_State":"OH","Zip":"45205","Country":"US","Phone":"","CreatedOn":"Thu, 18 Nov 2021 20:49:48 GMT","UpdatedOn":"Thu, 18 Nov 2021 20:50:48 GMT"},{"CounterpartyKey":"Key456","Name":"Last, First","RTN":"067091719","AccountNumber":"******1ABC","Email":"rtpemail@rtp.net","AddressNumber":"38","AddressStreet":"Mainline Blvd","AddressLine2":"","City":"Cincinnati","US_State":"OH","Zip":"45202-1235","Country":"US","Phone":"","CreatedOn":"Thu, 18 Nov 2021 19:53:26 GMT","UpdatedOn":"Thu, 18 Nov 2021 20:50:48 GMT"},{"CounterpartyKey":"Key789","Name":"First Middle Last","RTN":"042000314","AccountNumber":"******0042","Email":"rtpemail@rtp.org","AddressNumber":"252","AddressStreet":"Trade St","AddressLine2":"","City":"Charlotte","US_State":"NC","Zip":"28021","Country":"US","Phone":"","CreatedOn":"Thu, 18 Nov 2021 21:27:55 GMT","UpdatedOn":"Thu, 18 Nov 2021 20:50:48 GMT"}]}}},"400":{"description":"Bad Request."},"401":{"description":"Authorization information is missing or invalid"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"500":{"description":"Internal Server Error"}},"security":[{"bearer_token":[]}]}},"/counterparty/{counterpartyKey}":{"get":{"tags":["Counterparty"],"summary":"Retrieve Counterparty Detail by counterpartyKey","description":"Retrieve counterparty matching counterpartyKey","operationId":"getcounterpartybycounterpartyKey","parameters":[{"in":"path","name":"counterpartyKey","schema":{"type":"string"},"description":"Identifier for the counterparty to be retrieved","required":true},{"in":"header","name":"X-53-client-key","schema":{"type":"string"},"description":"Client identifier for authentication","required":true},{"in":"header","name":"Authorization","schema":{"type":"string"},"description":"access token (should be sent as \"Bearer <access token>\")","required":true}],"responses":{"200":{"description":"Successful Operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/counterpartyResponse"}}}},"400":{"description":"Bad Request."},"401":{"description":"Authorization information is missing or invalid"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"500":{"description":"Internal Server Error"}},"security":[{"bearer_token":[]}]}},"/rfp":{"post":{"tags":["RFP"],"summary":"Initiate Request for Payment","description":"Initiate a request for payment to the counterpartyKey specified in the request","operationId":"initiateRFP","parameters":[{"in":"header","name":"X-53-client-key","schema":{"type":"string"},"description":"Client identifier for authentication","required":true},{"in":"header","name":"Authorization","schema":{"type":"string"},"description":"access token (should be sent as \"Bearer <access token>\")","required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RFPRequest"}}}},"responses":{"200":{"description":"Successful Operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RFPResponse"}}}},"400":{"description":"Bad Request."},"401":{"description":"Authorization information is missing or invalid"},"403":{"description":"Forbidden"},"404":{"description":"Not Found / Duplicate"},"500":{"description":"Internal Server Error"},"503":{"description":"Service Unavailable with message \"System offline for maintenance. Not accepting transactions."}},"security":[{"bearer_token":[]}]},"put":{"tags":["RFP"],"summary":"Cancel Request for RFP","description":"Initiate a cancel request for RFP","operationId":"cencelRFP","parameters":[{"in":"header","name":"X-53-client-key","schema":{"type":"string"},"description":"Client identifier for authentication","required":true},{"in":"header","name":"Authorization","schema":{"type":"string"},"description":"access token (should be sent as \"Bearer <access token>\")","required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RFPCancelRequest"}}}},"responses":{"200":{"description":"Successful Operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RFPCancelResponse"}}}},"400":{"description":"Bad Request."},"401":{"description":"Authorization information is missing or invalid"},"403":{"description":"Forbidden"},"404":{"description":"Not Found / Duplicate"},"500":{"description":"Internal Server Error"},"503":{"description":"Service Unavailable with message \"System offline for maintenance. Not accepting transactions."}},"security":[{"bearer_token":[]}]}},"/rfp/{rfpID}":{"get":{"tags":["RFP"],"summary":"Retrieve the status of a RFP","description":"Retreive the status of a specific RFP transaction for the provided RFPID","operationId":"getPaymentStatus","parameters":[{"in":"path","name":"rfpID","schema":{"type":"string"},"description":"rfpKey received as part of the rfp initiation transaction response","required":true},{"in":"header","name":"X-53-client-key","schema":{"type":"string"},"description":"Client identifier for authentication","required":true},{"in":"header","name":"Authorization","schema":{"type":"string"},"description":"access token (should be sent as \"Bearer <access token>\")","required":true}],"responses":{"200":{"description":"Successful Operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RFPStatusResponse"}}}},"400":{"description":"Bad Request."},"401":{"description":"Authorization information is missing or invalid"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"},"500":{"description":"Internal Server Error"}},"security":[{"bearer_token":[]}]}}},"components":{"securitySchemes":{"bearer_token":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://np.b2e.sso.53.com/as/token.oauth2","scopes":{"https://rtpapi-stg.nube.53.com":"scope to move money for RTP"}}}}},"schemas":{"BankStatusResponse":{"type":"array","items":{"properties":{"RTN":{"type":"string","description":"Routing number for the bank or FI. This value will match the parameter passed in for the case of requesting single bank detail."},"bankName":{"type":"string","description":"Bank or financial institution name"},"rtpEligible":{"type":"boolean","description":"Indication of whether or not the returned financial institution is eligible to receive real time payments via the RTP Network"},"rfpEligible":{"type":"boolean","description":"Indication of whether or not the returned financial institution is eligible to receive request for payments via the RTP Network"},"status":{"type":"string","description":"Indiciation of the current status of the returned financial, if they are online and able to transact. Value will be either online or offline"}}}},"CreatecounterpartyRequest":{"type":"object","required":["RTN","AccountNumber","FullName","AddressNumber","AddressStreet","City","State","Zip","Country"],"properties":{"Name":{"type":"string","minLength":1,"maxLength":140,"pattern":"^[a-zA-Z0-9.' -]{1,140}$","description":"Full name of the counterparty"},"CounterpartyKey":{"type":"string","minLength":1,"maxLength":35,"pattern":"^[a-zA-Z0-9-_]{1,35}$","description":"Identifier for the counterparty to be used in subsequent counterpartyRequest calls."},"RTN":{"type":"string","minLength":9,"maxLength":9,"pattern":"^\\d{9}$","description":"Routing number of the financial institution where the counterparty holds a deposit account"},"AccountNumber":{"type":"string","minLength":1,"maxLength":34,"pattern":"^[a-zA-Z0-9]{1,34}$","description":"Account number of the counterparty at the counterpartys financial institution"},"Email":{"type":"string","format":"email","description":"Contact email of the counterparty"},"AddressNumber":{"type":"string","minLength":1,"maxLength":16,"pattern":"^[0-9]{1,16}$","description":"Building number for the counterparty address"},"AddressStreet":{"type":"string","minLength":1,"maxLength":70,"pattern":"^[a-zA-Z0-9-. #/]{1,70}$","description":"Street name for the counterparty address"},"AddressLine2":{"type":"string","minLength":1,"maxLength":70,"pattern":"^[a-zA-Z0-9-. #/]{1,70}$","description":"Address Line 2 for the counterparty address"},"City":{"type":"string","minLength":1,"maxLength":35,"pattern":"^[a-zA-Z0-9-. /]{1,35}$","description":"City for the counterparty address"},"State":{"type":"string","minLength":1,"maxLength":35,"pattern":"^[a-zA-Z0-9 ]{1,35}$","description":"State for the counterparty address"},"Zip":{"type":"string","pattern":"^\\d{5}(?:[-]\\d{4})?$","description":"Zip Code for the counterparty address"},"Country":{"type":"string","minLength":2,"maxLength":2,"pattern":"^[A-Z]{2,2}$","description":"Country for the counterparty"},"Phone":{"type":"string","pattern":"^(([0-9]{3})|[0-9]{3}-)[0-9]{3}-[0-9]{4}$","description":"Phone number for the counterparty"}}},"CreatecounterpartyResponse":{"type":"object","properties":{"CounterpartyKey":{"type":"string","description":"Identifier for the counterparty to be used in subsequent PaymentRequest calls."},"Name":{"type":"string","description":"Full name of the counterparty."},"CreatedOn":{"type":"string","format":"date-time","example":"Wed, 11 Aug 2021 18:19:23 GMT","description":"Timestamp for the creation of the counterparty"}}},"UpdatecounterpartyRequest":{"type":"object","required":["counterpartyKey"],"properties":{"Name":{"type":"string","minLength":1,"maxLength":140,"pattern":"^[a-zA-Z0-9.' -]{1,140}$","description":"Full name of the counterparty"},"CounterpartyKey":{"type":"string","minLength":1,"maxLength":35,"pattern":"^[a-zA-Z0-9-_]{1,35}$","description":"Identifier for the counterparty to be used in subsequent PaymentRequest calls."},"RTN":{"type":"string","minLength":9,"maxLength":9,"pattern":"^\\d{9}$","description":"Routing number of the financial institution where the counterparty holds a deposit account"},"AccountNumber":{"type":"string","minLength":1,"maxLength":34,"pattern":"^[a-zA-Z0-9]{1,34}$","description":"Account number of the counterparty at the counterparty financial institution"},"Email":{"type":"string","format":"email","description":"Contact email of the counterparty"},"AddressNumber":{"type":"string","minLength":1,"maxLength":16,"pattern":"^[0-9]{1,16}$","description":"Building number for the counterparty address"},"AddressStreet":{"type":"string","minLength":1,"maxLength":70,"pattern":"^[a-zA-Z0-9-. #/]{1,70}$","description":"Street name for the counterparty address"},"AddressLine2":{"type":"string","minLength":1,"maxLength":70,"pattern":"^[a-zA-Z0-9-. #/]{1,70}$","description":"Address Line 2 for the counterparty address"},"City":{"type":"string","minLength":1,"maxLength":35,"pattern":"^[a-zA-Z0-9-. /]{1,35}$","description":"City for the counterparty address"},"State":{"type":"string","minLength":1,"maxLength":35,"pattern":"^[a-zA-Z0-9 ]{1,35}$","description":"State for the counterparty address"},"Zip":{"type":"string","pattern":"^\\d{5}(?:[-]\\d{4})?$","description":"Zip Code for the counterparty address"},"Country":{"type":"string","minLength":2,"maxLength":2,"pattern":"^[A-Z]{2,2}$","description":"Country for the counterparty"},"Phone":{"type":"string","pattern":"^(([0-9]{3})|[0-9]{3}-)[0-9]{3}-[0-9]{4}$","description":"Phone number for the counterparty"}}},"UpdatecounterpartyResponse":{"type":"object","properties":{"CounterpartyKey":{"type":"string","description":"Identifier for the counterparty to be used in subsequent PaymentRequest calls."},"Name":{"type":"string","description":"Full name of the counterparty"},"RTN":{"type":"string","description":"Routing number of the financial institution where the counterparty holds a deposit account"},"AccountNumber":{"type":"string","description":"Masked Account number (*******1234) of the counterparty at the counterparty financial institution"},"Email":{"type":"string","format":"email","description":"Contact email of the counterparty"},"AddressNumber":{"type":"string","description":"Building number for the counterparty address"},"AddressStreet":{"type":"string","description":"Street name for the counterparty address"},"AddressLine2":{"type":"string","description":"Address Line 2 for the counterparty address"},"City":{"type":"string","description":"City for the counterparty address"},"State":{"type":"string","description":"State for the counterparty address"},"Zip":{"type":"string","description":"Zip Code for the counterparty address"},"Country":{"type":"string","description":"Country for the counterparty"},"Phone":{"type":"string","description":"Phone number for the counterparty"},"CreatedOn":{"type":"string","format":"date-time","example":"Wed, 11 Aug 2021 18:19:23 GMT","description":"Timestamp for the creation of the counterparty"},"UpdatedOn":{"type":"string","format":"date-time","example":"Wed, 11 Aug 2021 18:19:23 GMT","description":"Timestamp for the updation of the counterparty"}}},"counterpartyResponse":{"type":"array","items":{"properties":{"CounterpartyKey":{"type":"string","description":"Identifier for the counterparty to be used in subsequent PaymentRequest calls."},"Name":{"type":"string","description":"Full name of the counterparty mimicking the value passed in the CreatecounterpartyRequest."},"RTN":{"type":"string","description":"Routing number of the financial institution where the counterparty holds a deposit account"},"AccountNumber":{"type":"string","description":"Masked Account number (*******1234) of the counterparty at the counterparty financial institution"},"Email":{"type":"string","format":"email","description":"Contact email of the counterparty"},"AddressNumber":{"type":"string","description":"Building number for the counterparty address"},"AddressStreet":{"type":"string","description":"Street name for the counterparty address"},"AddressLine2":{"type":"string","description":"Address Line 2 for the counterparty address"},"City":{"type":"string","description":"City for the counterparty address"},"State":{"type":"string","description":"State for the counterparty address"},"Zip":{"type":"string","description":"Zip Code for the counterparty address"},"Country":{"type":"string","description":"Country for the counterparty"},"Phone":{"type":"string","description":"Phone number for the counterparty"},"CreatedOn":{"type":"string","format":"date-time","example":"Wed, 11 Aug 2021 18:19:23 GMT","description":"Timestamp for the creation of the counterparty"},"UpdatedOn":{"type":"string","format":"date-time","example":"Wed, 11 Aug 2021 18:19:23 GMT","description":"Timestamp for the updation of the counterparty"}}}},"RFPRequest":{"type":"object","required":["ClientKey","CounterpartyKey","RFPID","RequestedAmount"],"properties":{"CounterpartyKey":{"type":"string","description":"counterpartyKey associated with the counterparty of the RFP request"},"RFPID":{"type":"string","pattern":"[a-zA-Z0-9-_]{1,35}$","description":"Unique RFP Key, will be checked for duplicates, duplicates will be rejected"},"UltimateClientKey":{"type":"string","pattern":"[a-zA-Z0-9-_]{1,35}$","description":"In the case of a service provider who is processing transactions on behalf of another organization, this represents the other organization who holds the end customer or counterparty relationship."},"RequestedAmount":{"type":"number","format":"currency","minimum":0,"exclusiveMinimum":true,"description":"Requested payment amount in USD, should be > 0.00"},"DiscountAmount":{"type":"number","format":"currency","minimum":0,"exclusiveMinimum":true,"description":"Discount Amount in USD, should be > 0.00. This field is optional. If this is provided, FullAmount should be provided as well"},"FullAmount":{"type":"number","format":"currency","minimum":0,"exclusiveMinimum":true,"description":"Full Amount in USD, should be > 0.00. If DiscountAmount is provided, this field is required. If DiscountAmount is not provided, this field is optional."},"PaymentType":{"type":"string","default":"RFP","description":"Type of payment transaction. RFP is default. Can be extended to other payment types for future integrations."},"RequestedPaymentDate":{"type":"string","format":"date","description":"Requested date for counterparty to send payment, will be current date if not provided."},"ExpirationDate":{"type":"string","format":"date","description":"Date on which the RFP will expire and no longer be actionable. Will be set to +14 calendar days if not provided. Payments will expire at EOD EST on the date of expiration."},"AmountModificationAllowed":{"type":"boolean","description":"Specifies whether modification to payment amount is allowed. Defaults to false(not allowed)."},"EarlyPaymentAllowed":{"type":"boolean","description":"Specifies whether payment is allowed prior to the RequestedPaymentDate. Defaults to true (allowed)."},"memo":{"type":"string","default":"","description":"Transaction Notes - 140 freeform field to be presented to the counterparty"}}},"RFPCancelRequest":{"type":"object","required":["RFPID","action"],"properties":{"RFPID":{"type":"string","pattern":"[a-zA-Z0-9-_]{1,35}$","description":"RFP Key of the transaction to be canceled"},"action":{"type":"string","pattern":"[a-zA-Z]{1,35}$","description":"Cancel to be specified for action. It can be lower or uppercase."}}},"RFPCancelResponse":{"type":"object","properties":{"RFPID":{"type":"string","description":"Identifier for RFP transaction"},"ConfirmationID":{"type":"string","description":"ID generated by the Target system"},"CreatedOn":{"type":"string","format":"date-time","example":"Wed, 11 Aug 2021 18:19:23 GMT","description":"Timestamp that RFP request to cancel was created."}}},"RFPResponse":{"type":"object","properties":{"RFPID":{"type":"string","description":"Identifier for RFP transaction"},"ConfirmationID":{"type":"string","description":"ID generated by the Target system"},"CreatedOn":{"type":"string","format":"date-time","example":"Wed, 11 Aug 2021 18:19:23 GMT","description":"Timestamp that RFP was created."}}},"RFPStatusResponse":{"type":"object","properties":{"RFPID":{"type":"string","description":"Identifier for RFP transaction"},"RFPStatus":{"type":"string","description":"Current status of RFP which was identified in parameters. Value could be Created,Validated, Submitted, In-Process, Accepted or Rejected"},"RejectCode":{"type":"string","description":"Provides the reject code if the transaction is rejected. Will be blank if transaction is in any other state other than rejected"},"RejectReason":{"type":"string","description":"Provides the reject reason if the transaction is rejected. Will be blank if transaction is in any other state other than rejected"},"ScheduledOn":{"type":"string","format":"date","description":"Scheduled date of an accepted RFP transaction that has been scheduled by the counterparty for payment in the future"},"ScheduledAmount":{"type":"number","format":"currency","minimum":0,"exclusiveMinimum":true,"description":"Amount to be paid by the counterparty for a scheduled, accepted RFP transaction"},"ProcessedOn":{"type":"string","format":"date-time","example":"Wed, 11 Aug 2021 18:19:23 GMT","description":"Processed date of the RFP transaction"},"ProcessedAmount":{"type":"number","format":"currency","minimum":0,"exclusiveMinimum":true,"description":"Amount received for a paid RFP transaction"},"PostedOn":{"type":"string","format":"date-time","example":"Wed, 11 Aug 2021","description":"Posted date of the RFP as it pertains to statement posting"}}}}}}